summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFerenc Erki <erkiferenc@gmail.com>2020-04-23 11:29:17 +0200
committerJoonas Niilola <juippis@gentoo.org>2020-04-26 16:36:44 +0300
commit4c023caa16b46c1a397c80d9a100bc74b80d196f (patch)
treebbce6c76ee44c755de0ab50401bc4c0a3cce7636
parentwww-apps/kibana-bin: bump version to 7.6.2 (diff)
downloadgentoo-4c023caa16b46c1a397c80d9a100bc74b80d196f.tar.gz
gentoo-4c023caa16b46c1a397c80d9a100bc74b80d196f.tar.bz2
gentoo-4c023caa16b46c1a397c80d9a100bc74b80d196f.zip
www-apps/kibana-bin: bump version to 6.8.8
Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Ferenc Erki <erkiferenc@gmail.com> Signed-off-by: Joonas Niilola <juippis@gentoo.org>
-rw-r--r--www-apps/kibana-bin/Manifest2
-rw-r--r--www-apps/kibana-bin/kibana-bin-6.8.8.ebuild88
2 files changed, 90 insertions, 0 deletions
diff --git a/www-apps/kibana-bin/Manifest b/www-apps/kibana-bin/Manifest
index 9aac72665bd..1f5c2d35ec7 100644
--- a/www-apps/kibana-bin/Manifest
+++ b/www-apps/kibana-bin/Manifest
@@ -1,6 +1,7 @@
DIST kibana-5.6.16-linux-x86_64.tar.gz 53468981 BLAKE2B dda2aacad7043e4ed259c194de95da143cfc8f4fef624ff783eb8323f9053afe3a9857e358df7aa0b1fa26e9b452ff5afe7480b7befb5504af95d730c1deea53 SHA512 e3b8cd5911444be3c8f39d2060216d968456cae123a3ac47805bbf1e3d5ca581ecfd061988655926a5c6243df0ea2e127e5cf6fe35d336df570cd5b82cfd338f
DIST kibana-6.7.1-linux-x86_64.tar.gz 186430753 BLAKE2B 10d3b4d7996ee88ea3fc7062585dd0b00618650779e779c2fc18dcb9e0c62d964abb2806997f0712c495fb54ad2399a8b55745c67b6ff77ec1fa8e6041e7a075 SHA512 5ad5af43c18f12312d8bf5b50e8550ed8a008fb36efddb1756498c6a44cbb40cfa3ae7d307f5cb88daee0690dfd3aacfbb7bd526f098c140886a821af4b28e9d
DIST kibana-6.8.4-linux-x86_64.tar.gz 188306376 BLAKE2B 6b94b5c3c3c557d7e23a2a4e87d85ca34d2a3b277ee6562a7f12a798a29942737403349e7f9fab83de52c04adf0d8a72ec4e3f29e85cf45953b3541e75b6edc8 SHA512 75793b5c8b0eedd3a2fd0a24928e75da6f9099875ef74ae0927eb3efa6c45985ea71ebe2fc0696bf6bd960a65ca5ba450134e13302bd07fbb275ab731f713809
+DIST kibana-6.8.8-linux-x86_64.tar.gz 189162738 BLAKE2B 63ff29f7b2cf8bed931a473c0c33a9b9a82bbbd95ede171ad964e5855d56bd113981065ec12c0eb48f5e010d003229f3c91d9578a520e5909e04de5e5a635662 SHA512 f2104d1f83595cacf9ba3ce4225dc7044a251255afb62e494a7e3224cfbd280e5f51755c6a5c3452f8208fd8566ec6a11d51cd4453dc66cb8a8b158876fb4eae
DIST kibana-7.2.0-linux-x86_64.tar.gz 213198521 BLAKE2B 64ce95baa14107c3789d4aff748310cacd41cdabe227cb3fedab4bdd5d65d86d4bc8883dd7f8fbced3fda2ed25ed294ce49a8f28311fcbcfcae3c7bdc960c4ac SHA512 78368be3c55ef09cfed6903cc6556edb1a77f9e548614535b261d13c3190052ee9571cbb686470662f5563c564f1256e3a31ca233a26e8b734f3df44ab5a97f0
DIST kibana-7.3.2-linux-x86_64.tar.gz 236654252 BLAKE2B 0e851e372e628d72670f161569ac6dea09ee34dfe07dcb0c383709534f1495bb35c1853c1e3610c92aa320d62e784537597af7d8dba210f9e9eaf153de6568bc SHA512 23a496cf55cebeebdc67577c966f9f19de36fd7fe2d05597687047b0e7f6b52a41395a0e750e245b04f9881ea99381ff3104fd18bc19593a2db520100874bf0e
DIST kibana-7.4.1-linux-x86_64.tar.gz 252517864 BLAKE2B 18337665a86d54cedda2f3a6e03294d69a8fe25a445ec07b2df838872fd66cc96d095d0b1d496426c7e4ae3c6dec8ff2b4f78ec98225c64192aeac779d9e907c SHA512 9fbb5b754cd94599ab50c794df7b8337c8fa9f11ba810e3edf1cd12c60de40f91dbf4dbbc7178b35495b67a588a9fbec4333ab73df41deaab8bc1d907565ac14
@@ -9,6 +10,7 @@ DIST kibana-7.6.1-linux-x86_64.tar.gz 249498863 BLAKE2B ec2011e601dda84f8f6de63e
DIST kibana-7.6.2-linux-x86_64.tar.gz 249555386 BLAKE2B e3db49bbf87de5c20dd8ae91a3835d27d10bcfa914b6cf6501eeddb229f896cdfbd78fa712c0ed63498a80a87ae48b0d2bac4218d8e1328c4c228f61e4c9b5d4 SHA512 5a7187f7fd1af3d4009053b904948fca08e171ea5eea36f8120019721d84b1649bdaf1bc606577ebad179bd4d24b014a1733c8221f67b1b7da2c756c68819311
DIST kibana-oss-6.7.1-linux-x86_64.tar.gz 62807564 BLAKE2B 8fec550769f4a2a88a4fab72b0ecb49d81d25d2f13d365cfefce2f70ed5c088a72f750a0b5807d729621a78c7fe393a5f9875012b6559aa82bb049083eaff5bf SHA512 309c25a16d535b1c5f0853ea89b7b69b61e3472afdabdd6f60a86fabba4c76c034b620cbe3d7f988cc78d21e5ed058b4f97e4995d868876a55fcc30769822882
DIST kibana-oss-6.8.4-linux-x86_64.tar.gz 65407401 BLAKE2B a58bb44227a861c83342168b189cb133be93976a8f89ad7d29b0684d47621d6b4fe561a503abb896fb4d9325cbdf1a05bdc7da7063c4cadb62859563a4ff1398 SHA512 7d751eef44d669b8a989079a15e987535d6185f04ec8929c63cd2374aba9bd86a4f2301f13ee26308c769096b78f409b99b925f6125cef8f598dd7ffd587eedc
+DIST kibana-oss-6.8.8-linux-x86_64.tar.gz 66262509 BLAKE2B 76531791f024cf98c5ebe6840564f8f49cd3539370889f209ac0b89763ad71cfd23575789c7bdeb1ad0f6adff8ee555ece530e8fdcc6e51e0671e0a4ae0095c8 SHA512 64c839cf8c1bbddf776655f6674640bd01bbe97039b78f9fac0a95f425eea37825c5fa9a06b4e8bad4e8230db02424afa569a3adcd5d36164f3d6aada8b2f4e4
DIST kibana-oss-7.2.0-linux-x86_64.tar.gz 82672623 BLAKE2B 770e35f8025fb65513e51cb6a582dfe456e348efc7493c3710f2fa8ee49207392494aa437d7fe2d7115e5f607926e185264b6f92dacdc202331aab3d8ab10254 SHA512 ea735ecd18fc4441f29adcd7fd5a08a61e8bf1e82170219f598edf4a7726a11166e16b36f125edbfecafb6ed2c7cf003880d428960765861868e22cf55542e6b
DIST kibana-oss-7.3.2-linux-x86_64.tar.gz 87456219 BLAKE2B acfc04f9b4afc582d7959ba394487747b0e82f9e12c3b783add91b36155fe74620c067cad1a85898e74ba22b0ba7d66c124f1f8a1e29ae7291de74c048a8d8ef SHA512 a54d0ad3dafd69661762ee8d59021d955253389fb0d228f61f58b522d0644684f57ff96a4bda84d51cf39ecded4ade6c21923bc8e20d6ec9e61305fb6c0b2e32
DIST kibana-oss-7.4.1-linux-x86_64.tar.gz 84250969 BLAKE2B 3975a3a4f3ccdbf360316e225d86a08cd90736660ffd7b149d16da59080e6c54ad9aadfb77ff5d6695b5133e865318df69575ce9f8a0a39cf8d98c83da83f9b5 SHA512 fd439967b50fd43cd0bb065b8d9eaf1591baa158317c06e200b50511a92cfaf4ccbadb708b5585b8f7ce14fd1982e4d20cf49546829d67880435a5e694e8dc9e
diff --git a/www-apps/kibana-bin/kibana-bin-6.8.8.ebuild b/www-apps/kibana-bin/kibana-bin-6.8.8.ebuild
new file mode 100644
index 00000000000..43ac4ff48df
--- /dev/null
+++ b/www-apps/kibana-bin/kibana-bin-6.8.8.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit systemd
+
+MY_PN="${PN%-bin}"
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="Analytics and search dashboard for Elasticsearch"
+HOMEPAGE="https://www.elastic.co/products/kibana"
+SRC_URI="x-pack? ( https://artifacts.elastic.co/downloads/${MY_PN}/${MY_P}-linux-x86_64.tar.gz )
+ !x-pack? ( https://artifacts.elastic.co/downloads/${MY_PN}/${MY_PN}-oss-${PV}-linux-x86_64.tar.gz )"
+
+# source: LICENSE.txt and NOTICE.txt
+LICENSE="Apache-2.0 Artistic-2 BSD BSD-2 CC-BY-3.0 CC-BY-4.0 icu ISC MIT MPL-2.0 OFL-1.1 openssl public-domain Unlicense WTFPL-2 ZLIB x-pack? ( Elastic )"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="x-pack"
+
+RDEPEND="
+ acct-group/kibana
+ acct-user/kibana
+ >=net-libs/nodejs-10.15.2
+ x-pack? (
+ dev-libs/expat
+ dev-libs/nss
+ )"
+
+S="${WORKDIR}/${MY_P}-linux-x86_64"
+
+src_prepare() {
+ default
+
+ # remove empty unused directory
+ rmdir data || die
+
+ # remove bundled nodejs
+ rm -r node || die
+
+ # move optimize/plugins to /var/lib/kibana
+ rm -r optimize plugins || die
+
+ # handle node.js version with RDEPEND
+ sed -i /node_version_validator/d src/setup_node_env/index.js || die
+}
+
+src_install() {
+ insinto /etc/${MY_PN}
+ doins -r config/.
+ rm -r config || die
+
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}"/${MY_PN}.logrotate ${MY_PN}
+
+ newconfd "${FILESDIR}"/${MY_PN}.confd ${MY_PN}
+ newinitd "${FILESDIR}"/${MY_PN}.initd ${MY_PN}
+ systemd_dounit "${FILESDIR}"/${MY_PN}.service
+
+ insinto /opt/${MY_PN}
+ doins -r .
+
+ fperms -R +x /opt/${MY_PN}/bin
+
+ diropts -m 0750 -o ${MY_PN} -g ${MY_PN}
+ keepdir /var/lib/${MY_PN}/optimize
+ keepdir /var/lib/${MY_PN}/plugins
+ keepdir /var/log/${MY_PN}
+
+ dosym ../../var/lib/kibana/optimize /opt/kibana/optimize # Bug 667214
+ dosym ../../var/lib/kibana/plugins /opt/kibana/plugins
+}
+
+pkg_postinst() {
+ ewarn "Kibana optimize/plugins directories were moved to /var/lib/kibana."
+ ewarn "In case of startup failures (FATAL Error: Cannot find module...),"
+ ewarn "please remove the optimize directory content:"
+ ewarn "rm -r /var/lib/kibana/optimize/*"
+ elog "This version of Kibana is compatible with Elasticsearch $(ver_cut 1-2) and"
+ elog "Node.js 10. Some plugins may fail with other versions of Node.js (Bug #656008)."
+ elog
+ elog "To set a customized Elasticsearch instance:"
+ elog " OpenRC: set ES_INSTANCE in /etc/conf.d/${MY_PN}"
+ elog " systemd: set elasticsearch.url in /etc/${MY_PN}/kibana.yml"
+ elog
+ elog "Elasticsearch can run local or remote."
+}